Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface PhysicallyClassifiable

    public interface PhysicallyClassifiable

Models an entity that can be classified based on its relational with a physical data source.

Field Summary
`static char` | `PHYSICAL_KIND_CUSTOM_NATIVE_RELATIONAL`
`static char` | `PHYSICAL_KIND_DELIMITED`
`static char` | `PHYSICAL_KIND_JAVA`
`static char` | `PHYSICAL_KIND_NONE`
`static char` | `PHYSICAL_KIND_RELATIONAL`
`static char` | `PHYSICAL_KIND_UNKNOWN`
`static char` | `PHYSICAL_KIND_WEBSERVICE`
`static char` | `PHYSICAL_KIND_XML`

Method Summary
`char` | `getPhysicalKind()`

Field Detail

### PHYSICAL_KIND_NONE

    static final char PHYSICAL_KIND_NONE

See Also:
  Constant Field Values

### PHYSICAL_KIND_RELATIONAL

    static final char PHYSICAL_KIND_RELATIONAL

See Also:
  Constant Field Values

### PHYSICAL_KIND_WEBSERVICE

    static final char PHYSICAL_KIND_WEBSERVICE

See Also:
  Constant Field Values

### PHYSICAL_KIND_JAVA

    static final char PHYSICAL_KIND_JAVA

See Also:
  Constant Field Values

### PHYSICAL_KIND_DELIMITED

    static final char PHYSICAL_KIND_DELIMITED

See Also:
  Constant Field Values

### PHYSICAL_KIND_XML

    static final char PHYSICAL_KIND_XML

See Also:
  Constant Field Values

### PHYSICAL_KIND_CUSTOM_NATIVE_RELATIONAL

    static final char PHYSICAL_KIND_CUSTOM_NATIVE_RELATIONAL

See Also:
  Constant Field Values

### PHYSICAL_KIND_UNKNOWN

    static final char PHYSICAL_KIND_UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getPhysicalKind

    char getPhysicalKind()

  Returns:
    The physical kind. One of:
    - PHYSICAL_KIND_NONE
    - PHYSICAL_KIND_RELATIONAL
    - PHYSICAL_KIND_WEBSERVICE
    - PHYSICAL_KIND_JAVA
    - PHYSICAL_KIND_DELIMITED
    - PHYSICAL_KIND_XML
    - PHYSICAL_KIND_CUSTOM_NATIVE_RELATIONAL
    - PHYSICAL_KIND_ALDBPROXY
    - PHYSICAL_KIND_UNKNOWN

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.